Skip to main content
GET
Retrieve Invoices that belong to a Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

Query Parameters

filter[start_date]
string

Start date range

filter[end_date]
string

End date range

filter[states]
array

States based on the resource (e.g. Order states or Job states)

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[before]
string

The cursor to stop paginating at

page[after]
string

The cursor to start paginating after

filter[invoice_category]
string

The Invoice category filter. See InvoiceCategoryFilter for accepted values.

filter[grouped]
boolean

Only show Invoices that are part of a Settlement

filter[customer_account_ids]
array

The associated Customer Account IDs

filter[vendor_account_ids]
array

The associated Vendor Account IDs

filter[pickup_site_ids]
array

The associated Pickup Site IDs

filter[dropoff_site_ids]
array

The associated Dropoff Site IDs

filter[project_ids]
array

The associated Project IDs

filter[rate_types]
array

Array of rate types to filter by

filter[invoiceable_type]
enum<string>

InvoiceableType enum filter (e.g. Job, DriverDay)

Available options:
Job,
DriverDay
filter[driver_ids]
array

The assigned Driver IDs

filter[company_id]
string<uuid>

The associated Company ID

search[datagrid]
string

Search string for datagrid queries

Response

OK

data
Invoice-Read · object[]
required